Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84240 - kde keyboard shortcuts aren't consistent
Summary: kde keyboard shortcuts aren't consistent
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-13 18:34 UTC by Ben Levenson
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-06-21 17:00:01 UTC


Attachments (Terms of Use)

Description Ben Levenson 2003-02-13 18:34:13 UTC
Description of problem: 
 
For the sake of consistency, shouldn't these two operations share the same 
shortcut: 
  New shell tab in konsole: <ctl><alt><n> 
  New browser tab in konqueror: <ctl><shift><n> 
 
I don't know if we care about this, but there are inconsistencies across  
desktop environments as well: 
  Previous tab in konsole: <shift><left arrow>; Next tab: <shift><right arrow> 
  Previous tab in gnome-terminal: <ctl><pg up>; Next tab: <ctl><pg down> 
 
kdebase-3.1-6 
gnome-terminal-2.2.1-2

Comment 1 Havoc Pennington 2003-02-14 06:03:55 UTC
I think this stuff mostly needs to be addressed upstream; changing keybindings 
rapidly gets you going around in circles (if you change one it creates a
conflict with another so you change that which then conflicts with something
else and so on). So you need to decide on the keybindings as a giant global table
before you start changing them in any one place.

See http://developer.gnome.org/projects/gap/keyboardnav.html for the big 
tables for gnome.

Anyway I'd tend to just move this upstream, and hope open-hci@freedesktop.org
considers developing a common keybindings standard.

Comment 2 Ben Levenson 2004-06-21 17:00:01 UTC
(bug housekeeping) 
<ctrl>-<shift>-<n> opens a new session/tab in konsole (as an  
alternative to <ctrl>-<alt>-<n>) in RHEL3. 
I don't imagine that the GNOME and KDE keybindings will merge 
anytime soon.  REOPEN if you find that this is a useful bug 
for tracking this issue. 


Note You need to log in before you can comment on or make changes to this bug.